OpenVDB: BitFlags< N > Class Template Reference

OpenVDB 12.1.1

Loading...
Searching...
No Matches
BitFlags< N > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for BitFlags< N >:

## Public Types
using | Type = decltype(mFlags)

## Public Member Functions
| BitFlags ()
| BitFlags (Type mask)
| BitFlags (std::initializer_list< uint8_t > list)
template<typename MaskT>
| BitFlags (std::initializer_list< MaskT > list)
__hostdev__ Type | data () const
__hostdev__ Type & | data ()
__hostdev__ void | initBit (std::initializer_list< uint8_t > list)
template<typename MaskT>
__hostdev__ void | initMask (std::initializer_list< MaskT > list)
__hostdev__ Type | getFlags () const
__hostdev__ void | setOn ()
__hostdev__ void | setOff ()
__hostdev__ void | setBitOn (uint8_t bit)
__hostdev__ void | setBitOff (uint8_t bit)
__hostdev__ void | setBitOn (std::initializer_list< uint8_t > list)
__hostdev__ void | setBitOff (std::initializer_list< uint8_t > list)
template<typename MaskT>
__hostdev__ void | setMaskOn (MaskT mask)
template<typename MaskT>
__hostdev__ void | setMaskOff (MaskT mask)
template<typename MaskT>
__hostdev__ void | setMaskOn (std::initializer_list< MaskT > list)
template<typename MaskT>
__hostdev__ void | setMaskOff (std::initializer_list< MaskT > list)
__hostdev__ void | setBit (uint8_t bit, bool on)
template<typename MaskT>
__hostdev__ void | setMask (MaskT mask, bool on)
__hostdev__ bool | isOn () const
__hostdev__ bool | isOff () const
__hostdev__ bool | isBitOn (uint8_t bit) const
__hostdev__ bool | isBitOff (uint8_t bit) const
template<typename MaskT>
__hostdev__ bool | isMaskOn (MaskT mask) const
template<typename MaskT>
__hostdev__ bool | isMaskOff (MaskT mask) const
template<typename MaskT>
__hostdev__ bool | isMaskOn (std::initializer_list< MaskT > list) const
| return true if any of the masks in the list are on
template<typename MaskT>
__hostdev__ bool | isMaskOff (std::initializer_list< MaskT > list) const
| return true if any of the masks in the list are off
__hostdev__ BitFlags & | operator= (Type n)
| required for backwards compatibility

## Member Typedef Documentation

## ◆ Type

template<int N>

using Type = decltype(mFlags)

## Constructor & Destructor Documentation

## ◆ BitFlags() [1/4]

template<int N>

BitFlags | ( |  | ) |
| inline

## ◆ BitFlags() [2/4]

template<int N>

BitFlags | ( | Type | mask | ) |
| inline

## ◆ BitFlags() [3/4]

template<int N>

BitFlags | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ BitFlags() [4/4]

template<int N>
template<typename MaskT>

BitFlags | ( | std::initializer_list< MaskT > | list | ) |
| inline

## Member Function Documentation

## ◆ data() [1/2]

template<int N>

__hostdev__ Type & data | ( |  | ) |
| inline

## ◆ data() [2/2]

template<int N>

__hostdev__ Type data | ( |  | ) | const
| inline

## ◆ getFlags()

template<int N>

__hostdev__ Type getFlags | ( |  | ) | const
| inline

## ◆ initBit()

template<int N>

__hostdev__ void initBit | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ initMask()

template<int N>
template<typename MaskT>

__hostdev__ void initMask | ( | std::initializer_list< MaskT > | list | ) |
| inline

## ◆ isBitOff()

template<int N>

__hostdev__ bool isBitOff | ( | uint8_t | bit | ) | const
| inline

## ◆ isBitOn()

template<int N>

__hostdev__ bool isBitOn | ( | uint8_t | bit | ) | const
| inline

## ◆ isMaskOff() [1/2]

template<int N>
template<typename MaskT>

__hostdev__ bool isMaskOff | ( | MaskT | mask | ) | const
| inline

## ◆ isMaskOff() [2/2]

template<int N>
template<typename MaskT>

__hostdev__ bool isMaskOff | ( | std::initializer_list< MaskT > | list | ) | const
| inline

return true if any of the masks in the list are off

## ◆ isMaskOn() [1/2]

template<int N>
template<typename MaskT>

__hostdev__ bool isMaskOn | ( | MaskT | mask | ) | const
| inline

## ◆ isMaskOn() [2/2]

template<int N>
template<typename MaskT>

__hostdev__ bool isMaskOn | ( | std::initializer_list< MaskT > | list | ) | const
| inline

return true if any of the masks in the list are on

## ◆ isOff()

template<int N>

__hostdev__ bool isOff | ( |  | ) | const
| inline

## ◆ isOn()

template<int N>

__hostdev__ bool isOn | ( |  | ) | const
| inline

## ◆ operator=()

template<int N>

__hostdev__ BitFlags & operator= | ( | Type | n | ) |
| inline

required for backwards compatibility

## ◆ setBit()

template<int N>

__hostdev__ void setBit | ( | uint8_t | bit,
|  | bool | on )
| inline

## ◆ setBitOff() [1/2]

template<int N>

__hostdev__ void setBitOff | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ setBitOff() [2/2]

template<int N>

__hostdev__ void setBitOff | ( | uint8_t | bit | ) |
| inline

## ◆ setBitOn() [1/2]

template<int N>

__hostdev__ void setBitOn | ( | std::initializer_list< uint8_t > | list | ) |
| inline

## ◆ setBitOn() [2/2]

template<int N>

__hostdev__ void setBitOn | ( | uint8_t | bit | ) |
| inline

## ◆ setMask()

template<int N>
template<typename MaskT>

__hostdev__ void setMask | ( | MaskT | mask,
|  | bool | on )
| inline

## ◆ setMaskOff() [1/2]

template<int N>
template<typename MaskT>

__hostdev__ void setMaskOff | ( | MaskT | mask | ) |
| inline

## ◆ setMaskOff() [2/2]

template<int N>
template<typename MaskT>

__hostdev__ void setMaskOff | ( | std::initializer_list< MaskT > | list | ) |
| inline

## ◆ setMaskOn() [1/2]

template<int N>
template<typename MaskT>

__hostdev__ void setMaskOn | ( | MaskT | mask | ) |
| inline

## ◆ setMaskOn() [2/2]

template<int N>
template<typename MaskT>

__hostdev__ void setMaskOn | ( | std::initializer_list< MaskT > | list | ) |
| inline

## ◆ setOff()

template<int N>

__hostdev__ void setOff | ( |  | ) |
| inline

## ◆ setOn()

template<int N>

__hostdev__ void setOn | ( |  | ) |
| inline